﻿using System;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            Triangle triangle = new Triangle(3, 4, 5);

            Print(triangle);
        }

        #endregion
        #region 출력하기 - Print(triangle)

        /// <summary>
        /// 출력하기
        /// </summary>
        /// <param name="triangle">삼각형</param>
        private static void Print(in Triangle triangle)
        {
            int  perimeter     = triangle.Perimeter;
            bool isEquilateral = triangle.IsEquilateral;

            Console.WriteLine($"{perimeter}, {isEquilateral}");
        }

        #endregion
    }
}